import { SelectionStateI, unSelect } from '@graphpolaris/shared/lib/data-access/store/interactionSlice';
import { Delete } from '@mui/icons-material';
import { useDispatch } from 'react-redux';
import { Button, EntityPill } from '../../..';

export const SelectionConfig = (props: { selection: SelectionStateI }) => {
  const dispatch = useDispatch();

  return (
    <div className="border-b py-2">
      <div className="flex justify-between items-center px-4 py-2">
        <span className="text-xs font-bold">Selection</span>
        <Button
          type="secondary"
          variant="ghost"
          size="xs"
          iconComponent={<Delete />}
          onClick={() => {
            dispatch(unSelect());
          }}
        />
      </div>
      {props.selection.content.map((item, index) => (
        <>
          <div key={index + 'id'} className="flex justify-between items-center px-4 py-1 gap-1">
            <span className="text-xs font-normal">ID</span>
            <span className="text-xs">{item._id}</span>
          </div>
          <div key={index + 'label'} className="flex justify-between items-center px-4 py-1 gap-1">
            <span className="text-xs font-normal">Label</span>
            <EntityPill title={item.attributes['labels'] as string}></EntityPill>
          </div>
          {Object.entries(item.attributes).map(([key, value]) => {
            if (key === 'labels' || key === '_id') return null;
            return (
              <div key={index + key + 'attributes'} className="flex justify-between items-center px-4 py-1 gap-1">
                <span className="text-xs font-normal break-all max-w-[6rem]">{key}</span>
                <span className="text-xs break-all">{value as string}</span>
              </div>
            );
          })}
        </>
      ))}
    </div>
  );
};
