import React from 'react';
import { DaysShort } from '../calendarvis.const';
import { CalendarVisController } from '../calendarvis.controller';

export const DaysOfWeekLabel: React.FC<{ controller: CalendarVisController }> = ({ controller }) => {
  const baseMarginTop = 3.25;
  let marginTop = baseMarginTop;
  if (!controller.getShowYearLabel()) marginTop -= baseMarginTop / 3;
  if (!controller.getShowMonthLabel()) marginTop -= baseMarginTop / 3;
  if (!controller.getShowWeekLabel()) marginTop -= baseMarginTop / 3;

  return (
    <div style={{ marginTop: marginTop + 'rem' }} className="sticky left-0 z-10 flex flex-col text-center bg-white">
      {DaysShort.map((day, index) => (
        <span key={index} className="p-0 m-0 leading-none border border-gray-100">
          {day}
        </span>
      ))}
    </div>
  );
};
