import { useEffect, useRef, useState } from 'react';

export type TimeLineProps = {
  range: Date[];
  data: { date: Date; value: number }[];
  htmlcoreelement: React.RefObject<HTMLDivElement>;
};

export const TimeLineD3 = ({ range, data, htmlcoreelement }: TimeLineProps) => {
  const svgRef = useRef<SVGSVGElement | null>(null);
  const [dimensions, setDimensions] = useState({ width: 0, height: 0 });

  useEffect(() => {
    if (!svgRef.current) return;

    const widthSVG: number = +svgRef.current.clientWidth;
    const heightSVG: number = +svgRef.current.clientHeight;

    setDimensions({ width: widthSVG, height: heightSVG });
  }, [htmlcoreelement]);

  return (
    <div className="svg">
      <svg
        ref={svgRef}
        className="container"
        width="100%"
        height="100%"
        preserveAspectRatio="xMidYMid meet"
        viewBox={`0 0 ${dimensions.width} ${dimensions.height}`}
      ></svg>
    </div>
  );
};
